Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Couldn't connect to Discord via RPC: Error: Could not connect #85

Closed
power opened this issue Aug 28, 2018 · 18 comments
Closed

Couldn't connect to Discord via RPC: Error: Could not connect #85

power opened this issue Aug 28, 2018 · 18 comments

Comments

@power
Copy link

@power power commented Aug 28, 2018

Seem to be getting this error on both clients, canary and stable.

@iCrawl

This comment has been minimized.

Copy link
Owner

@iCrawl iCrawl commented Aug 28, 2018

What OS?
VSCode version?
More than one discord client open?

@power

This comment has been minimized.

Copy link
Author

@power power commented Aug 28, 2018

Windows 10
1.26.1
Only Discord client open

@power

This comment has been minimized.

Copy link
Author

@power power commented Aug 28, 2018

Just after writing this issue seemed to fix, no idea what the issue was. Sorry for wasting your time 👍

@power power closed this Aug 28, 2018
@sametgirginer

This comment has been minimized.

Copy link

@sametgirginer sametgirginer commented Sep 2, 2018

This problem happened to me. The solution is as follows:
If you are running Discord as an administrator, you must close it in the program settings.
Ex: https://erosennin.net/dosyalar/dasd.png

@voloshink

This comment has been minimized.

Copy link

@voloshink voloshink commented Sep 5, 2018

@smt287 your link is broken

@sametgirginer

This comment has been minimized.

Copy link

@sametgirginer sametgirginer commented Sep 6, 2018

@voloshink updated.

@secato

This comment has been minimized.

Copy link

@secato secato commented Nov 6, 2018

@smt287 it is broken again 😢

@sametgirginer

This comment has been minimized.

Copy link

@sametgirginer sametgirginer commented Nov 6, 2018

@smt287 it is broken again 😢

updated again :)

@Tu4nNguyen

This comment has been minimized.

Copy link

@Tu4nNguyen Tu4nNguyen commented Jan 27, 2019

Run Vs Code with administrator.

@Shimeri

This comment has been minimized.

Copy link

@Shimeri Shimeri commented Feb 19, 2019

Run Vs Code with administrator.

This worked for me

@codemessiah

This comment has been minimized.

Copy link

@codemessiah codemessiah commented Jul 8, 2019

I'm getting this error on Linux Manjaro, Code doesn't take running as the super user very well. What is the solution?

@matthew119427

This comment has been minimized.

Copy link

@matthew119427 matthew119427 commented Jul 15, 2019

@asmoaesl Having the same exact issue on Manjaro, I installed it via Snap, AUR, and finally a TAR file and it's still refusing to cooperate. Fun!

@codemessiah

This comment has been minimized.

Copy link

@codemessiah codemessiah commented Jul 27, 2019

@dutchvanderlinde I know this is totally off-topic, but I used manjaro for a couple years and tried MX Linux recently, and it is the best distro I've ever used. I say do give it a live try if you're not using Manjaro for any special reason

@isakal

This comment has been minimized.

Copy link

@isakal isakal commented Dec 7, 2019

I got this error on elementaryOS version 5.1 Hera.
I installed vscode and discord both through Flatpak and it gave me RPC eror.
So I installed both .deb files from their official sites (vscode, discord).
After unpacking both files, I started them both and it worked.

TL;DR: Install both vscode and discord form their official sites to fix it.

@DanPHP7

This comment has been minimized.

Copy link

@DanPHP7 DanPHP7 commented Dec 18, 2019

I got this error on elementaryOS version 5.1 Hera.
I installed vscode and discord both through Flatpak and it gave me RPC eror.
So I installed both .deb files from their official sites (vscode, discord).
After unpacking both files, I started them both and it worked.

TL;DR: Install both vscode and discord form their official sites to fix it.

I got this error on Elementary OS5.1 hera too, and this worked to me Thaks!!

@FrenzyExists

This comment has been minimized.

Copy link

@FrenzyExists FrenzyExists commented Dec 29, 2019

I'm using KDE Neon and for some reason I have this error no matter what I do. I installed discord and vscode from the official sites, yet the error persists, anyone else had this issue with KDE too?

@DiZiNnEs

This comment has been minimized.

Copy link

@DiZiNnEs DiZiNnEs commented Jan 23, 2020

I use Ubuntu 19.10 and I also have this error, downloaded from the off site well it didn’t help

@fl4m3x

This comment has been minimized.

Copy link

@fl4m3x fl4m3x commented Jan 24, 2020

I use in Windows 10 (but in my secondary account) and not working... even running as Administrator

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
You can’t perform that action at this time.